#include <iostream>
#include <cmath>
using namespace std;
int main()
{
    float n, p, q, r, l, d, k=0;
    cin>>p>>q>>r>>l>>d;
    for(n=l; n<=d; n++){
        if(ceil(n/p)+ceil(n/q)+ceil(n/r)<=n)
            k++;
    }
    cout<<k<<endl;
    return 0;
}